// ----------------------------------------------------------------------------
// 左カラムをインテリジェントに固定する
// jQuery があることが前提
// ----------------------------------------------------------------------------

function adjust_scroll() {
	var lcol = $('div#LCol');
	var lcolHeight = lcol.height()+50;	// マージン含めただいたいの高さ

	if( lcolHeight <= $(window).height() ) {
		lcol.css('position', 'fixed');
		lcol.css('top', '0');
	} else {
		if ( $(window).scrollTop() > lcolHeight-$(window).height() ) {
			lcol.css('position', 'fixed');
			lcol.css('top', $(window).height()-lcolHeight);
		} else {
			lcol.css('position', 'absolute');
			lcol.css('top', '0');
		}
	}
}

function adjust_page_top_button() {
	var vPos = $(window).scrollTop();
	if( vPos > 0 ) {
		$("#PageTopButton").fadeIn("slow");
	} else {
		$("#PageTopButton").fadeOut("slow");
	}
}

$(function($) {
	$(window).load(function () {
		var ifr = $('iframe#Menu');
		if ( ifr ) {
			var lelem = ifr.contents().find('p#LastElem');
			if ( lelem.length ) {
				var lelemOffset = lelem.offset().top;
				ifr.height(lelemOffset);
			}
		}
		adjust_scroll();
		adjust_page_top_button();
	});
});

$(function($) {
	$(window).scroll(function () {
		adjust_scroll();
		adjust_page_top_button();
	});
});

